## efl 1.25.1

=== meson_options.txt ===
option('audio',
  type : 'boolean',
  value : true,
  description : 'Audio support in efl'
)

option('avahi',
  type : 'boolean',
  value : false,
  description : 'Avahi (zeroconf) support in efl'
)

option('x11',
  type : 'boolean',
  value : true,
  description : 'X11 support in efl'
)

option('fb',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbocon) support in efl'
)

option('sdl',
  type : 'boolean',
  value : false,
  description : 'SDL support in efl'
)

option('wl',
  type : 'boolean',
  value : false,
  description : 'Wayland client support in efl'
)

option('buffer',
  type : 'boolean',
  value : false,
  description : 'Generic graphics buffer API support in efl'
)

option('drm',
  type : 'boolean',
  value : false,
  description : 'DRM/KMS advanced framebuffer/console support in efl'
)

option('cocoa',
  type : 'boolean',
  value : false,
  description : 'Apple MacOS cocoa support in efl'
)

option('physics',
  type : 'boolean',
  value : false,
  description : 'Physics engine (bullet) in efl'
)

option('eeze',
  type : 'boolean',
  value : true,
  description : 'Device abstraction (udev wrapper) in efl'
)

option('opengl',
  type : 'combo',
  choices : ['full', 'es-egl', 'none'],
  value : 'es-egl',
  description : 'Type of OpenGL support in efl'
)

option('build-id',
  type : 'string',
  value : 'none',
  description : 'The build id string for efl set as the EFL_BUILD_ID define')

option('eina-magic-debug',
  type : 'boolean',
  value : true,
  description : 'Magic number checking of eina structures in efl'
)

option('debug-threads',
  type : 'boolean',
  value : false,
  description : 'Thread debugging in efl'
)

option('build-examples',
  type : 'boolean',
  value : true,
  description : 'Compile examples'
)

option('build-tests',
  type : 'boolean',
  value : true,
  description : 'Compile tests'
)

option('crypto',
  type : 'combo',
  choices : ['gnutls', 'openssl'],
  value : 'openssl',
  description : 'Which SSL Crypto library used in efl'
)

option('glib',
  type : 'boolean',
  value : false,
  description : 'Main loop integration for glib in efl'
)

option('g-mainloop',
  type : 'boolean',
  value : false,
  description : 'Use glib to run the main loop in efl'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'GStreamer support in efl'
)

option('systemd',
  type : 'boolean',
  value : true,
  description : 'Systemd and Elogind support at runtime in efl'
)

option('pulseaudio',
  type : 'boolean',
  value : true,
  description : 'Pulseaudio support for audio API'
)

option('network-backend',
  type : 'combo',
  choices : ['connman', 'none'],
  value : 'none',
  description : 'Connman support in efl'
)

option('xpresent',
  type : 'boolean',
  value : false,
  description : 'X11 XPresent extension support in efl'
)

option('xinput2',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.0+ support in efl'
)

option('xinput22',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.2+ support in efl'
)

option('tslib',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbcon) touchscreen tslib support in efl'
)

option('eject-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the eject binary, if "detect" internal eeze bins are used'
)

option('mount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the mount binary, if "detect" internal eeze bins are used'
)

option('unmount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the unmount binary, if "detect" internal eeze bins are used'
)

option('evas-loaders-disabler',
  type : 'array',
  description : 'List of modular image/vector loaders to disable in efl',
  choices : ['', 'gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json', 'avif'],
  value : ['json', 'avif']
)

option('ecore-imf-loaders-disabler',
  type : 'array',
  description : 'List of input methods to disable in efl',
  choices : ['', 'xim', 'ibus', 'scim'],
  value : ['ibus']
)

option('harfbuzz',
  type : 'boolean',
  value : true,
  description : 'Harfbuzz (complex text layout library) support in efl'
)

option('fribidi',
  type : 'boolean',
  value : true,
  description : 'Fribidi (right to left text layout library) support in efl'
)

option('fontconfig',
  type : 'boolean',
  value : true,
  description : 'Fontconfig (system font database) support in efl'
)

option('edje-sound-and-video',
  type : 'boolean',
  value : true,
  description : 'disable sound and video for edje'
)

option('pixman',
  type : 'boolean',
  value : false,
  description : 'Pixman software renderer support in efl'
)

option('hyphen',
  type : 'boolean',
  value : false,
  description : 'Hyphen text layout support in efl'
)

option('embedded-lz4',
  type : 'boolean',
  value : true,
  description : 'Use the embedded in-tree zlib r131 release instead of system zlib'
)

option('libmount',
  type : 'boolean',
  value : true,
  description : 'Libmount support for device mounting in efl'
)

option('vnc-server',
  type : 'boolean',
  value : false,
  description : 'VNC server support in efl for multiseat testing'
)

option('v4l2',
  type : 'boolean',
  value : true,
  description : 'Video v4l2 support'
)

option('elua',
  type : 'boolean',
  value : false,
  description : 'Lua launcher binary support in efl'
)

option('wl-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated wayland support in efl'
)

option('drm-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated DRM/KMS support in efl'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Localization'
)

option('bindings',
  type : 'array',
  choices : ['', 'lua', 'cxx', 'mono'],
  value : ['cxx'],
  description : 'Which auto-generated language bindings for efl to enable',
)

option('mono-beta',
  type: 'boolean',
  value: false,
  description: 'Mono/C# @beta Eo methods enabled in the efl'
)

option('dotnet-stylecop',
  type: 'string',
  description: 'Dotnet StyleCop checks. Use * for all, or use comma listed: -Ddotnet-stylecop=ca1062,CA1032, sa0001, SA0002, cA2225'
)

option('dotnet-stylecop-severity',
  type: 'combo',
  choices: ['Warning', 'Error'],
  value: 'Warning',
  description: 'Dotnet StyleCop checks cause compilation errors or just warnings'
)

option('mono-examples-dir',
  type: 'string',
  value: '',
  description: 'Where eolian_mono will search for examples to embed into the documentation'
)

option('dotnet',
  type: 'boolean',
  value: false,
  description: 'Enable building C# bindings with dotnet instead of mono'
)

option('lua-interpreter',
  type: 'combo',
  choices: ['luajit', 'lua'],
  value: 'luajit',
  description: 'Which Lua back-end library to use in efl'
)

option('native-arch-optimization',
  type: 'boolean',
  value: true,
  description: 'Enable architecture native optimizations in efl'
)

option('windows-version',
  type : 'combo',
  choices : ['vista', 'win7', 'win8', 'win81', 'win10'],
  value : 'win7',
  description : 'When on Windows, compile efl with the specified Windows version'
)

option('dictionaries-hyphen-dir',
  type : 'string',
  value : '/usr/share/hyphen/',
  description : 'The path to the hyphen dictionaries directory'
)

option('elementary-base-dir',
  type : 'string',
  value : '.elementary',
  description : 'The name of the directory for user supplied elementary data files like themes, config files'
)

option('install-eo-files',
  type: 'boolean',
  value: true,
  description : 'Install any eo file'
)

option('mono-friend-assemblies',
  type : 'array',
  value : [],
  description : 'List of friend assemblies that can access efl_mono assembly\'s internal types and members.'
)

option('efl-one',
  type: 'boolean',
  value : false,
  description : 'Build special set of .so´s as a single .so'
)

=== debian/changelog ===
efl (1.25.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.
  * Make all recommended packages dependencies for MX except the -doc.
  * Revert all "execute_" stanzas is d/rules to overrides for dh 12 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Nov 2020 07:40:31 -0800

efl (1.25.1-1) unstable; urgency=medium

  * New upstream version.
  * Set -Dbindings along with lua options so it doesn't disagree with
    other settings.  Fix FTBFS on arches without luajit.
  * d/patches:
    + 49_fix_software_x11_deps.diff: drop, applied upstream
    + 50_fix_ecore_imf_deps.diff: drop, applied upstream
  * Bump eo symbol versions for 1.25.1 release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 19 Oct 2020 18:57:37 -0700

efl (1.25.0-1) unstable; urgency=medium

  [ Ross Vandegrift ]
  * Bump eo symbol versions for 1.25.0 release.
  * Add new symbols included in 1.25.0 release.
  * Remove symbols dropped from 1.25.0 release.
  * d/patches:
    + 49_fix_software_x11_deps.diff: fix ftbfs with strict linking
    + 50_fix_ecore_imf_deps.diff: fix ftbfs with strict linking
    + 99-fix-shader-regen.diff: update description
    + 99-always-regen-shaders.diff: rename
    + set Forwared: not-needed on local modifications that don't
      make sense for upstream.
  * Changes to lintian overrides:
    + fix version in libevas1.lintian-overrides
    + add lintian overrides for tags tricked by file extensions
    + Add lintian override for cycle between libefreet-bin & libeio1.
    + Add lintian overrides for now empty libefreet_mime and libefreet_trash.
  * d/rules:
    + disable new avif loader, it's still experimental
    + chmod -x a file missed by dh_fixperms
  * Fix nodoc support, I broke it during meson conversion.  Thanks to Axel
    Beckert and others in a recent debian-devel thread for this pattern.
  * Update for changes to lua support
    + luajit bindings were renamed to lua
    + expliclty enable elua, upstream defaults to disabling it.  It is
      expected to be removed or significantly changed in a future release.
    + lualian files are no longer shipped
    + d/not-installed: avoid installing empty file
  * d/copyright: update, apply cme config suggestions

  [ Helmut Grohne ]
  * Fix cross tool version check to cope with binNMUs. (Closes: #972362)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 18 Oct 2020 10:45:15 -0700

=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
           Ross Vandegrift <rvandegrift@debian.org>,
           Andreas Metzler <ametzler@debian.org>
Build-Conflicts: systemctl
Build-Depends: debhelper-compat (= 12),
               libblkid-dev [linux-any],
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libedje-bin <cross>,
               libeet-bin <cross>,
               libelementary-bin <cross>,
               libeolian-bin <cross>,
               libfontconfig1-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libgnutls28-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libinput-dev,
               libjpeg-dev,
               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
               liblz4-dev,
               libmount-dev [linux-any],
               libopenjp2-7-dev,
               libpixman-1-dev,
               libpng-dev,
               libpoppler-cpp-dev,
               libpulse-dev,
               libraw-dev,
               librsvg2-dev,
               libscim-dev,
               libsndfile-dev,
               libspectre-dev,
               libsystemd-dev,
               libtiff-dev,
               libudev-dev [linux-any],
               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
               libvlc-dev,
               libwayland-dev,
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-shm0-dev,
               libxcb1-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-x11-dev,
               libxpm-dev,
               libxrandr-dev,
               libxrender-dev,
               libxss-dev,
               libxtst-dev,
               mesa-common-dev,
               meson,
               pkg-config,
               systemd,
               wayland-protocols,
               x11proto-xext-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: libeina1a
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libeina0, libeina1
Breaks: libecore-avahi1 (<= 1.23.3-8),
        libecore-bin (<= ${source:Upstream-Version}),
        libedje-bin (<= ${source:Upstream-Version}),
        libeet-bin (<= ${source:Upstream-Version}),
        libeet1 (<= 1.4.0~beta+1.4.0),
        libeeze-bin (<= ${source:Upstream-Version}),
        libefreet-bin (<= ${source:Upstream-Version}),
        libeina-bin (<= ${source:Upstream-Version}),
        libeina1 (<= 1.18.1-2),
        libelementary-bin (<= ${source:Upstream-Version}),
        libelementary-data (<= ${source:Upstream-Version}),
        libelocation1 (<= 1.23.3-8),
        libelua-bin (<= ${source:Upstream-Version}),
        libembryo-bin (<= ${source:Upstream-Version}),
        libemotion-players (<= 1.23.3-8),
        libeolian-bin (<= ${source:Upstream-Version}),
        libephysics1 (<= 1.23.3-8),
        libethumb-client-bin (<= ${source:Upstream-Version}),
        libevas-bin (<= 1.21.1-5),
        libevas-loaders (<= ${source:Upstream-Version}),
        libevas1-engines-drm (<= ${source:Upstream-Version}),
        libevas1-engines-fb (<= ${source:Upstream-Version}),
        libevas1-engines-wayland (<= ${source:Upstream-Version}),
        libevas1-engines-x (<= ${source:Upstream-Version})
Description: EFL optimized data types
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeina-bin
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL optimized data types - extra tools
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains some additional tools that may be useful for
 debugging eina issues.

Package: libeet1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL file chunk reading/writing
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeet-bin
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL file chunk reading/writing - utilities
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libevas1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libevas1-engines-x | libevas1-engine,
         ${misc:Depends},
         ${shlibs:Depends},
            libevas-loaders,
            libevas1-engines-drm,
            libevas1-engines-fb,
            libevas1-engines-wayland,
            libevas1-engines-x
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL advanced canvas library
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the core library and a set of image loaders
 and/or savers for various formats: eet, gif, jpeg, png, svg, tiff and
 xpm

Package: libevas1-engines-x
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
Description: Evas module providing the X11 engines
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engines-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines-extras, libevas1-engine-fb
Provides: libevas1-engine
Description: Evas module providing the Framebuffer engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the framebuffer Evas engine module.

Package: libevas1-engines-drm
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the DRM engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the DRM-related Evas engine modules.

Package: libevas1-engines-wayland
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: enlightenment (<< 0.24.0-1), libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the Wayland engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the Wayland-related Evas engine modules.

Package: libecore1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# -O3 is used by default with the meson build.  -O2 triggers cxx weak
# -symbols in libephysics1 that shouldn't be there.
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
	lua_flags = -Dlua-interpreter=lua -Delua=false -Dbindings=
	dhinstallflags += --exclude=elua
else
	lua_flags = -Delua=true -Dbindings=lua

endif

ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel))
	arch_flags += -Dnative-arch-optimization=false
endif

BINPKGS := $(shell dh_listpackages | paste -sd " ")

ifeq (linux,$(DEB_HOST_ARCH_OS))
	fb_flags += -Dfb=true
endif

%:
	dh $@

override_dh_auto_configure:
# cross-builds need host eolian_gen, but ensure the versions match
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W libedje-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeet-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libelementary-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeolian-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
endif

	$(CURDIR)/debian/validate_symvers.sh

	dh_auto_configure --verbose -- \
		-Dcrypto=gnutls \
		-Dtslib=false \
		-Dembedded-lz4=false \
		-Devas-loaders-disabler=json,avif \
		-Dnetwork-backend=none \
		-Dwl=true \
		-Ddrm=true \
		-Dbuild-tests=false \
		$(arch_flags) \
		$(fb_flags) \
		$(lua_flags)

override_dh_auto_build:
	# ensure shaders are rebuilt from sources
	find -name '*shader*.x' -exec rm {} \;
	cd src && lib/ector/gl/shader/gen_shaders.sh
	cd src && modules/evas/engines/gl_common/shader/gen_shaders.sh

	$(CURDIR)/debian/fake_home.sh env \
		dh_auto_build --verbose
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
endif
endif

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
endif

#execute_before_dh_install:
	# dh_fixperms misses this one for some reason
#	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp

override_dh_install:
	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp
	dh_install $(dhinstallflags)

	# remove unused file, fail otherwise
	rm -f obj-$(DEB_HOST_GNU_TYPE)/html/jquery.js
	if grep -qr jquery.js obj-$(DEB_HOST_GNU_TYPE)/html/ ; \
		then echo jquery is used ; false ; fi
	# this is shipped under /usr/share/docs
	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README

override_dh_missing:
ifneq ($(filter libelua1,$(BINPKGS)),libelua1)
	# upstream installs some elua files even if elua is disabled
	echo 'usr/share/elua*' >> debian/not-installed
endif
		dh_missing

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	dh_clean
	find -name '*.luacexecute' -exec rm {} \;

override_dh_installexamples:
	dh_installexamples -X.gitignore -XVera.ttf

override_dh_auto_test-indep:

override_dh_auto_test-arch:

override_dh_installman:
	dh_installman
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
	dh_installman -pefl-doc --sourcedir obj-$(DEB_HOST_GNU_TYPE)
endif

override_dh_installdocs:
	dh_installdocs
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
endif

## efl 1.26.1

=== debian/changelog ===
efl (1.26.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Feb 2022 15:32:34 -0800

efl (1.26.1-1) unstable; urgency=medium

  * d/gbp.conf: switch back to specifying debian-branch.
  * Bump symbols for 1.26.1 release
  * Don't use luajit on ppc64/ppc64el to fix FTBFS.

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 27 Jan 2022 20:29:27 -0800

efl (1.26.0-1) unstable; urgency=medium

  * Bump eo symbol versions for 1.26 release
  * Add/remove symbols entries for changes in 1.26
  * evas: add support for heif image loader
  * libelementary-data: update install file for new pal data
  * update lintian overrides for output changes, and version 1.26
  * d/copyright: update cme configs and re-run for new copyright data
  * d/p/30_drop_crashing_widget_previews.diff: drop, no longer necessary
  * libefl-all-dev: drop unnecessary Depends on libbullet-dev
  * d/p/0007-0011: cherry pick some post 1.26 fixes.  Mostly these are
    tweaks/fixes for the test suite, but 0007 fixes an issue with eet that
    the test suite can trigger.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 23 Jan 2022 14:52:43 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
 Build-Conflicts: systemctl
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libblkid-dev [linux-any],
                libcurl4-gnutls-dev,
                libdbus-1-dev,
@@ -27,10 +27,11 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
+               libheif-dev,
                libinput-dev,
                libjpeg-dev,
-               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32],
-               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !riscv64 !s390x !sh4 !sparc64 !x32],
+               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
+               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc64 !x32],
                liblz4-dev,
                libmount-dev [linux-any],
                libopenjp2-7-dev,
@@ -178,8 +179,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libevas1-engines-x | libevas1-engine,
          ${misc:Depends},
-         ${shlibs:Depends},
-            libevas-loaders,
+         ${shlibs:Depends}
+Recommends: libevas-loaders,
             libevas1-engines-drm,
             libevas1-engines-fb,
             libevas1-engines-wayland,
@@ -296,4 +297,3 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc riscv64 s390x sh4 sparc64 x32))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha arm64 hppa ia64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32))
 	lua_flags = -Dlua-interpreter=lua -Delua=false -Dbindings=
 	dhinstallflags += --exclude=elua
 else
@@ -75,12 +75,11 @@
 	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
 endif
 
-#execute_before_dh_install:
+execute_before_dh_install:
 	# dh_fixperms misses this one for some reason
-#	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp
+	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp
 
 override_dh_install:
-	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp
 	dh_install $(dhinstallflags)
 
 	# remove unused file, fail otherwise
@@ -90,12 +89,11 @@
 	# this is shipped under /usr/share/docs
 	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README
 
-override_dh_missing:
+execute_before_dh_missing:
 ifneq ($(filter libelua1,$(BINPKGS)),libelua1)
 	# upstream installs some elua files even if elua is disabled
 	echo 'usr/share/elua*' >> debian/not-installed
 endif
-		dh_missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xmodule.so
@@ -104,12 +102,9 @@
 	dh_shlibdeps -Nlibefreet1a
 	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_clean:
 	dh_clean
-	find -name '*.luacexecute' -exec rm {} \;
+	find -name '*.luac' -exec rm {} \;
 
 override_dh_installexamples:
 	dh_installexamples -X.gitignore -XVera.ttf
@@ -129,3 +124,7 @@
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
 endif
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## efl 1.26.2

=== meson_options.txt ===
--- 
+++ 
@@ -44,6 +44,12 @@
   type : 'boolean',
   value : false,
   description : 'DRM/KMS advanced framebuffer/console support in efl'
+)
+
+option('input',
+  type : 'boolean',
+  value : true,
+  description : 'libinput abstraction in efl'
 )
 
 option('cocoa',
@@ -189,8 +195,8 @@
 option('evas-loaders-disabler',
   type : 'array',
   description : 'List of modular image/vector loaders to disable in efl',
-  choices : ['', 'gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json', 'avif'],
-  value : ['json', 'avif']
+  choices : ['', 'gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json', 'avif', 'heif'],
+  value : ['json', 'avif', 'heif']
 )
 
 option('ecore-imf-loaders-disabler',
@@ -370,3 +376,9 @@
   value : false,
   description : 'Build special set of .so´s as a single .so'
 )
+
+option('max-fd-size',
+  type : 'string',
+  value : '8192',
+  description : 'This is the maximim set of fds and thus maximum fd value allowed +1 in the ecore main loop handler'
+)

=== debian/changelog ===
efl (1.26.2-3) unstable; urgency=medium

  * No changes from 1.26.2-2; bumped version to replace accidental upload
    of 1.26.2-3~exp1 to unstable.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 03 Aug 2022 23:28:00 -0700

efl (1.26.2-2) unstable; urgency=medium

  * d/control: weaken libelementary1 recommends on -bin to get better
    dependencies after binnmu (Closes: #1008040)
  * d/copyright: update upstream git url
  * d/rules: drop fake_home.sh, compat 13 provides writable $HOME and $XDG_*
  * 30_disable_chm_docs.diff: disable chm docs (Closes: #1016237)
  * Update some lintian overrides for new format

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 01 Aug 2022 22:50:48 -0700

efl (1.26.2-1) unstable; urgency=medium

  * libefl-all-dev: recommend libeina-bin, libelementary-bin (Closes: #984537)
  * Revert "efl-doc: drop extra copy of Bitstream Vera, use
    ttf-bitsream-vera instead".  Installing ttf-bitstream-vera can have
    bad consequences; see bug report for more info. (Closes: #998280)
  * d/p/00*.patch: delete, applied upstream
  * Bump symbols for 1.26.2 release

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 07 Feb 2022 22:08:23 -0800

=== debian/control ===
--- 
+++ 
@@ -1,80 +1,81 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Albin Tonnerre <lutin@debian.org>,
-           Ross Vandegrift <rvandegrift@debian.org>,
-           Andreas Metzler <ametzler@debian.org>
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Uploaders:
+ Albin Tonnerre <lutin@debian.org>,
+ Ross Vandegrift <rvandegrift@debian.org>,
+ Andreas Metzler <ametzler@debian.org>,
 Build-Conflicts: systemctl
-Build-Depends: debhelper-compat (= 13),
-               libblkid-dev [linux-any],
-               libcurl4-gnutls-dev,
-               libdbus-1-dev,
-               libedje-bin <cross>,
-               libeet-bin <cross>,
-               libelementary-bin <cross>,
-               libeolian-bin <cross>,
-               libfontconfig1-dev,
-               libfreetype6-dev,
-               libfribidi-dev,
-               libgbm-dev,
-               libgcrypt-dev,
-               libgif-dev,
-               libgles2-mesa-dev,
-               libglib2.0-dev,
-               libgnutls28-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
-               libharfbuzz-dev,
-               libheif-dev,
-               libinput-dev,
-               libjpeg-dev,
-               liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
-               libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc64 !x32],
-               liblz4-dev,
-               libmount-dev [linux-any],
-               libopenjp2-7-dev,
-               libpixman-1-dev,
-               libpng-dev,
-               libpoppler-cpp-dev,
-               libpulse-dev,
-               libraw-dev,
-               librsvg2-dev,
-               libscim-dev,
-               libsndfile-dev,
-               libspectre-dev,
-               libsystemd-dev,
-               libtiff-dev,
-               libudev-dev [linux-any],
-               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
-               libvlc-dev,
-               libwayland-dev,
-               libwebp-dev,
-               libx11-dev,
-               libx11-xcb-dev,
-               libxcb-image0-dev,
-               libxcb-shm0-dev,
-               libxcb1-dev,
-               libxcomposite-dev,
-               libxcursor-dev,
-               libxdamage-dev,
-               libxext-dev,
-               libxi-dev,
-               libxinerama-dev,
-               libxkbcommon-x11-dev,
-               libxpm-dev,
-               libxrandr-dev,
-               libxrender-dev,
-               libxss-dev,
-               libxtst-dev,
-               mesa-common-dev,
-               meson,
-               pkg-config,
-               systemd,
-               wayland-protocols,
-               x11proto-xext-dev,
-               zlib1g-dev
+Build-Depends:
+ debhelper-compat (= 13),
+ libblkid-dev [linux-any],
+ libcurl4-gnutls-dev,
+ libdbus-1-dev,
+ libedje-bin <cross>,
+ libeet-bin <cross>,
+ libelementary-bin <cross>,
+ libeolian-bin <cross>,
+ libfontconfig1-dev,
+ libfreetype6-dev,
+ libfribidi-dev,
+ libgbm-dev,
+ libgcrypt-dev,
+ libgif-dev,
+ libgles2-mesa-dev,
+ libglib2.0-dev,
+ libgnutls28-dev,
+ libgstreamer-plugins-base1.0-dev,
+ libgstreamer1.0-dev,
+ libharfbuzz-dev,
+ libheif-dev,
+ libinput-dev,
+ libjpeg-dev,
+ liblua5.2-dev [alpha arm64 hppa ia64 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
+ libluajit-5.1-dev [!alpha !arm64 !hppa !ia64 !m68k !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc64 !x32],
+ liblz4-dev,
+ libmount-dev [linux-any],
+ libopenjp2-7-dev,
+ libpixman-1-dev,
+ libpng-dev,
+ libpoppler-cpp-dev,
+ libpulse-dev,
+ libraw-dev,
+ librsvg2-dev,
+ libscim-dev,
+ libsndfile-dev,
+ libspectre-dev,
+ libsystemd-dev,
+ libtiff-dev,
+ libudev-dev [linux-any],
+ libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+ libvlc-dev,
+ libwayland-dev,
+ libwebp-dev,
+ libx11-dev,
+ libx11-xcb-dev,
+ libxcb-image0-dev,
+ libxcb-shm0-dev,
+ libxcb1-dev,
+ libxcomposite-dev,
+ libxcursor-dev,
+ libxdamage-dev,
+ libxext-dev,
+ libxi-dev,
+ libxinerama-dev,
+ libxkbcommon-x11-dev,
+ libxpm-dev,
+ libxrandr-dev,
+ libxrender-dev,
+ libxss-dev,
+ libxtst-dev,
+ mesa-common-dev,
+ meson,
+ pkg-config,
+ systemd,
+ wayland-protocols,
+ x11proto-xext-dev,
+ zlib1g-dev,
 Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
@@ -88,30 +89,31 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libeina0, libeina1
-Breaks: libecore-avahi1 (<= 1.23.3-8),
-        libecore-bin (<= ${source:Upstream-Version}),
-        libedje-bin (<= ${source:Upstream-Version}),
-        libeet-bin (<= ${source:Upstream-Version}),
-        libeet1 (<= 1.4.0~beta+1.4.0),
-        libeeze-bin (<= ${source:Upstream-Version}),
-        libefreet-bin (<= ${source:Upstream-Version}),
-        libeina-bin (<= ${source:Upstream-Version}),
-        libeina1 (<= 1.18.1-2),
-        libelementary-bin (<= ${source:Upstream-Version}),
-        libelementary-data (<= ${source:Upstream-Version}),
-        libelocation1 (<= 1.23.3-8),
-        libelua-bin (<= ${source:Upstream-Version}),
-        libembryo-bin (<= ${source:Upstream-Version}),
-        libemotion-players (<= 1.23.3-8),
-        libeolian-bin (<= ${source:Upstream-Version}),
-        libephysics1 (<= 1.23.3-8),
-        libethumb-client-bin (<= ${source:Upstream-Version}),
-        libevas-bin (<= 1.21.1-5),
-        libevas-loaders (<= ${source:Upstream-Version}),
-        libevas1-engines-drm (<= ${source:Upstream-Version}),
-        libevas1-engines-fb (<= ${source:Upstream-Version}),
-        libevas1-engines-wayland (<= ${source:Upstream-Version}),
-        libevas1-engines-x (<= ${source:Upstream-Version})
+Breaks:
+ libecore-avahi1 (<= 1.23.3-8),
+ libecore-bin (<= ${source:Upstream-Version}),
+ libedje-bin (<= ${source:Upstream-Version}),
+ libeet-bin (<= ${source:Upstream-Version}),
+ libeet1 (<= 1.4.0~beta+1.4.0),
+ libeeze-bin (<= ${source:Upstream-Version}),
+ libefreet-bin (<= ${source:Upstream-Version}),
+ libeina-bin (<= ${source:Upstream-Version}),
+ libeina1 (<= 1.18.1-2),
+ libelementary-bin (<= ${source:Upstream-Version}),
+ libelementary-data (<= ${source:Upstream-Version}),
+ libelocation1 (<= 1.23.3-8),
+ libelua-bin (<= ${source:Upstream-Version}),
+ libembryo-bin (<= ${source:Upstream-Version}),
+ libemotion-players (<= 1.23.3-8),
+ libeolian-bin (<= ${source:Upstream-Version}),
+ libephysics1 (<= 1.23.3-8),
+ libethumb-client-bin (<= ${source:Upstream-Version}),
+ libevas-loaders (<= ${source:Upstream-Version}),
+ libevas-bin (<= 1.21.1-5),
+ libevas1-engines-drm (<= ${source:Upstream-Version}),
+ libevas1-engines-fb (<= ${source:Upstream-Version}),
+ libevas1-engines-wayland (<= ${source:Upstream-Version}),
+ libevas1-engines-x (<= ${source:Upstream-Version}),
 Description: EFL optimized data types
  The Eina library is a library which implements an API for data types
  in an efficient way. It also provides some useful tools like opening
@@ -177,14 +179,16 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libevas1-engines-x | libevas1-engine,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libevas-loaders,
-            libevas1-engines-drm,
-            libevas1-engines-fb,
-            libevas1-engines-wayland,
-            libevas1-engines-x
+Depends:
+ libevas1-engines-x | libevas1-engine,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ libevas-loaders,
+ libevas1-engines-drm,
+ libevas1-engines-fb,
+ libevas1-engines-wayland,
+ libevas1-engines-x,
 Breaks: libeina1a (<< ${source:Upstream-Version})
 Description: EFL advanced canvas library
  Evas is a clean display canvas API for several target display systems
@@ -275,7 +279,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: enlightenment (<< 0.24.0-1), libeina1a (<< ${source:Upstream-Version})
+Breaks:
+ libeina1a (<< ${source:Upstream-Version}),
+ enlightenment (<< 0.24.0-1),
 Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine
 Description: Evas module providing the Wayland engine
@@ -297,3 +303,37 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Description: EFL core abstraction layer
+ Ecore is a library of convenience functions. It provides abstractions
+ for handling timers selections, Xdnd, event loops, and much
+ more. Much of Ecore's functionality is implemented in external
+ modules.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+
+Package: libecore-audio1
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libeina1a (<< ${source:Upstream-Version})
+Description: Ecore functions for audio playback and recording
+ Ecore is a library of convenience functions. It provides abstractions
+ for handling timers selections, Xdnd, event loops, and much
+ more. Much of Ecore's functionality is implemented in external
+ modules.
+ .
+ This package contains the Ecore wrapper and convenience functions for
+ audio playback and recording.
+
+Package: libecore-con1
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libecore-bin (>= ${source:Upstream-Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: libeina1a (<< ${source:Upstream-Version})

=== debian/rules ===
--- 
+++ 
@@ -62,17 +62,16 @@
 	cd src && lib/ector/gl/shader/gen_shaders.sh
 	cd src && modules/evas/engines/gl_common/shader/gen_shaders.sh
 
-	$(CURDIR)/debian/fake_home.sh env \
-		dh_auto_build --verbose
+	dh_auto_build --verbose
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
+	dh_auto_build -- doc
 endif
 endif
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	$(CURDIR)/debian/fake_home.sh dh_auto_build -- doc
+	dh_auto_build -- doc
 endif
 
 execute_before_dh_install:
@@ -107,7 +106,7 @@
 	find -name '*.luac' -exec rm {} \;
 
 override_dh_installexamples:
-	dh_installexamples -X.gitignore -XVera.ttf
+	dh_installexamples -X.gitignore
 
 override_dh_auto_test-indep:
 
@@ -124,7 +123,3 @@
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
 endif
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
